/**
 * Test case for apemanmodule.
 * Runs with mocha.
 */
"use strict";

const apemanmodule = require('../lib/apemanmodule.js'),
    assert = require('assert');

describe('apemanmodule', () => {

    before((done) => {
        done();
    });

    after((done) => {
        done();
    });


    it('Apemanmodule', function (done) {

        let index = apemanmodule(`${__dirname}/../doc/mocks/mock_module`, {
            pascal: 'bar_*'
        });
        assert.ok(index);
        assert.ok(index('fooModule'));
        assert.throws(()=> {
            assert.ok(index('foo_module'));
        });
        assert.ok(index['fooModule']);
        assert.ok(index('BarModule'));
        assert.ok(index['BarModule']);

        assert.equal(index['fooModule'].name, 'foo');
        assert.equal(index['BarModule'].name, 'bar');
        done();
    });

});

